Bug 1298437 - CVE-2015-8767 kernel: SCTP denial of service during timeout [fedora-all]
CVE-2015-8767 kernel: SCTP denial of service during timeout [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8767
  Show dependency treegraph
 
Reported: 2016-01-14 00:32 EST by Wade Mealing
Modified: 2016-02-01 01:27 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-4.3.4-200.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 01:27:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2016-01-14 00:32:10 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Wade Mealing 2016-01-14 00:32:18 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1297389,1298437

# Description of your update
notes=Security fix for CVE-2015-8767

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1297389,1298437
Comment 2 Wade Mealing 2016-01-14 00:39:59 EST
Additional information that may be helpful

-- Josh Boyer --- 
Fedora 22 is still affected.  The fix went into Linus' upstream tree as commit 635682a14427d241bab7bbdeebb48a7d7b91638e which was in 4.3-rc4.  F23 and rawhide are newer than that, but F22 is still on 4.2.y for now and the highlighted commit has not been backported to upstream stable.
--

On another note ^ the above mentioned comment (#2) is auto generated , I think that the system should reboot after updating kernels.. unless I missed something recently.
Comment 3 Josh Boyer 2016-01-15 08:46:26 EST
(In reply to Wade Mealing from comment #2)
> Additional information that may be helpful
> 
> -- Josh Boyer --- 
> Fedora 22 is still affected.  The fix went into Linus' upstream tree as
> commit 635682a14427d241bab7bbdeebb48a7d7b91638e which was in 4.3-rc4.  F23
> and rawhide are newer than that, but F22 is still on 4.2.y for now and the
> highlighted commit has not been backported to upstream stable.
> --
> 
> On another note ^ the above mentioned comment (#2) is auto generated , I
> think that the system should reboot after updating kernels.. unless I missed
> something recently.

Yes, it should.  We always suggest rebooting when we file the updates anyway.  Whoever owns the template for those comments can change it to True if they want.
Comment 4 Josh Boyer 2016-01-15 08:56:57 EST
Fixed in F22 git.
Comment 5 Fedora Update System 2016-01-20 07:15:21 EST
kernel-4.3.3-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71868ce66
Comment 6 Fedora Update System 2016-01-21 01:24:18 EST
kernel-4.3.3-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71868ce66
Comment 7 Fedora Update System 2016-01-25 13:27:26 EST
kernel-4.3.4-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d43766e33
Comment 8 Fedora Update System 2016-01-25 23:22:46 EST
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d43766e33
Comment 9 Fedora Update System 2016-02-01 01:24:47 EST
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.